// Toggle de filters opties.
$("#filters_opties").click(function() {
    if($("#filters").css("display") == "none"){
        $("#filters").css("display", "block");
        $(this).text("-");
    } else {
        $("#filters").css("display", "none");
        $(this).text("+");
    }
});

/* Verandert status text */
$(".status_choose").click(function() {
    $(this).parent().parent().find(".status_text").text($(this).text());
    $(this).parent().parent().find(".status_input").attr("value", $(this).find(".privilege_id").val());
});

/* Verandert doelgroep text */
$(".doelgroep_edit").click(function() {
    $(this).parent().parent().find(".doelgroep_text").text($(this).text());
    $(this).parent().parent().find(".label_input").attr("value", $(this).find(".label_id").attr("value"));
});

// Als je de pagina opent staat dropdown standaard op display none
$(".status").find(".dropdown-content").css("display", "none");

var wijzig = false;

/* Zorgt ervoor dat dingen gewijzigd kunnen worden als er op het potlood wordt geklikt .*/
$("#wijzig").click(function() {
    /* Voegt een verwijder knop toe */
    if(wijzig == false){
        /* Voegt een verwijder knop toe */
        $(".table_row").append("<td class='verwijder'>Verwijder</td><input class='verwijder_answer' type='hidden' name='verwijder[]' value=''>");
        $(".verwijder").click(function() {
            if($(this).parent().find(".verwijder_answer").val() == "verwijder"){
                $(this).parent().find(".verwijder_answer").attr("value", "");
                $(this).css("background-color", "salmon");
            } else {
                $(this).parent().find(".verwijder_answer").attr("value", "verwijder");
                $(this).css("background-color", "red");
            }
        });

        /* Verandert laatste_td voor mobiele modus */
        $(".status").removeClass("laatste_td");
        $(".verwijder").addClass("laatste_td");

        /* Kan de gebruiker naam veranderen. */
        $(".edit_gebruiker").css("display", "block");
        $(".gebruiker").each(function() {
            $(this).find(".edit_gebruiker").attr("value", $(this).find(".gebruikers_title").text());
            $(this).parent().find(".gebruikers_title").css("display", "none");
        });

        /* locatie veranderen */
        $(".edit_adres").css("display", "block");
        $(".locatie").each(function() {
            $(this).find(".edit_adres").attr("value", $(this).find(".adres").text());
            $(this).parent().find(".adres").css("display", "none");
        });

        // Als de wijzig knop is aangeklikt kun je niet meer bladeren.
        $("#bladeren").css("display", "none");

        /* Past cursors aan. */
        $(".status").css("cursor", "pointer");

        wijzig = true;
    } else {
        // Laat je bladeren.
        $("#bladeren").css("display", "block");
        $(".verwijder").remove();
        $(".doelgroep").find(".doelgroepen").css("display", "none");

        /* Verandert laatste_td voor mobiele modus */
        $(".status").addClass("laatste_td");
        $(".verwijder").removeClass("laatste_td");

        //Sluit het dropdown menu
        $(".doelgroep").find(".doelgroepen").css("display", "none");
        $(".status").find(".dropdown-content").css("display", "none");

        /* Kan de gebruiker naam niet veranderen. */
        $(".edit_gebruiker").css("display", "none");
        $(".gebruiker").each(function() {
            $(this).find(".gebruikers_title").text($(this).find(".edit_gebruiker").val());
            $(this).find(".gebruikers_title").css("display", "block");
        });

        /* Kan de locatie naam niet veranderen. */
        $(".edit_adres").css("display", "none");
        $(".locatie").each(function() {
            $(this).find(".adres").text($(this).find(".edit_adres").val());
            $(this).find(".adres").css("display", "block");
        });

        /* Past cursors aan. */
        $(".status").css("cursor", "default");

        wijzig = false;
    }
});

// Verwijder knop waar opgeklikt wordt wordt gehighlight en krijgt value verwijder.
$(".verwijder").click(function() {
    if($(this).parent().find(".verwijder_answer").val() == "verwijder"){
        $(this).parent().find(".verwijder_answer").attr("value", "");
        $(this).css("background-color", "salmon");
    } else {
        $(this).parent().find(".verwijder_answer").attr("value", "verwijder");
        $(this).css("background-color", "red");
    }
});

/* dropdown status */
$(".status").click(function() {
    if(wijzig == true){
        $(".doelgroep").find(".doelgroepen").css("display", "none");
        if($(this).find(".dropdown-content").css("display") == "block"){
            $(this).find(".dropdown-content").css("display", "none");
        } else if($(".dropdown-content").css("display") == "block") {
            $(".dropdown-content").css("display", "none");
            $(this).find(".dropdown-content").css("display", "block");
        } else {
            $(this).find(".dropdown-content").css("display", "block");
        }
    }
});

/* Login dropdown */
$(".login").click(function() {
    $(".doelgroep").find(".doelgroepen").css("display", "none");
    $(".status").find(".dropdown-content").css("display", "none");
    if($(".dropdown-login").css("display") == "block"){
        $(".dropdown-login").css("display", "none");
    } else {
        $(".dropdown-login").css("display", "block");
    }
}).children().click(function(e) {
    return false;
});


// Highlight de labels die al geselecteerd zijn.
$(".labels_db").each(function() {
    var labels = new Array();
    var labels_db = new Array();
    //Krijgt id van de labels die verbonden zijn met het evenement.
    $(this).find(".label_user").each(function() {
        labels.push($(this).val());
    });

    // haalt alle labels uit de database
    $(this).find(".label_id").each(function() {
        labels_db.push($(this));
    });

    for (var i = 0; i < labels.length; i++) {
        for (var j = 0; j < labels_db.length; j++) {
            if(labels_db[j].val() == labels[i]){
                labels_db[j].parent().find(".label_selected").attr("value", "selected");
                labels_db[j].parent().css("background-color", "grey");
            }
        }
    }
});


/* dropdown doelgroepen */
$(".labels_db, .doelgroep").click(function(event) {
    if(wijzig == true){
        if($(this).parent().find(".doelgroepen").css("display") == "block"){
            $(this).parent().find(".doelgroepen").css("display", "none");;
        } else {
            /* Sluit alle dropdown menu */
            $(".doelgroepen").each(function() {
                 $(this).css("display", "none");
            });

            $(this).parent().find(".doelgroepen").css("display", "block");
        }
    }
}).children().click(function(e) {
    return false;
});

/* dropdown doelgroepen */
$(".labels_filter").click(function(event) {
    if($(this).parent().find(".doelgroepen_filter").css("display") == "block"){
        $(this).parent().find(".doelgroepen_filter").css("display", "none");;
    } else {
        /* Sluit alle dropdown menu */
        $(".doelgroepen_filter").each(function() {
             $(this).css("display", "none");
        });

        $(this).parent().find(".doelgroepen_filter").css("display", "block");
    }
}).children().click(function(e) {
    return false;
});

// Wordt erop een label in de dropdown menu geclikced wordt hij grijs en selected gezet.
$(".doelgroep_edit").click(function() {
    if($(this).find(".label_selected").val() == ""){
        $(this).css("background-color", "grey");
        $(this).find(".label_selected").attr("value", "selected");
    } else {
        $(this).css("background-color", "white");
        $(this).find(".label_selected").attr("value", "");
    }
});

// Wordt erop een label in de dropdown menu geclikced wordt hij grijs en selected gezet.
$(".doelgroep_edit_filter").click(function() {
    $(".label_selected").each(function (){
        if($(this).val() == "selected"){
            $(this).val("");
            $(this).parent().css("background-color", "");
        }
    });

    $(this).css("background-color", "grey");
    $(this).find(".label_selected").attr("value", "selected");
});

/* Breidt de tabel row uit waarop geklikt is door de gebruiker tekst te laten zien
   Als hij bestaat en hidden was. */
$(".gebruiker").click(function() {
    if(wijzig == false){
        if($(this).find(".gebruiker_text").css("display") == "block"){
            $(this).find(".gebruiker_text").css("display", "none");
        } else if($(".gebruiker_text").css("display") == "block") {
            $(".gebruiker_text").css("display", "none");
            $(this).find(".gebruiker_text").css("display", "block");
        } else {
            $(this).find(".gebruiker_text").css("display", "block");
        }
    }
});
